-------------------------------------------------------------------------------
 streamtuner installation instructions
-------------------------------------------------------------------------------

Index

	0. About this document
	1. Portability
	2. Dependencies
	3. Instructions
	4. Configure options

0. About this document

	$Id: INSTALL,v 1.31.2.4 2004/12/21 15:04:55 jylefort Exp $

	Copyright (c) 2002, 2003, 2004 Jean-Yves Lefort.

	This document is part of streamtuner.
	It may be distributed under the same terms as streamtuner.

1. Portability

	streamtuner has been designed from the ground up with
	portability in mind. The source code conforms to the ANSI C
	and POSIX.1 specifications (no platform-specific features are
	used).

2. Dependencies

	Requirements:

		* GTK+ (version 2.4.0 or superior)
		  http://www.gtk.org/

		* libcurl (version 7.10.8 or superior)
		  http://curl.haxx.se/libcurl/

	Optional dependencies:

		* for Xiph support:

		  libxml (version 2.0 or superior)
		  http://www.xmlsoft.org/

		* for local metadata support:

		  TagLib (version 1.2 or superior)
		  http://developer.kde.org/~wheeler/taglib.html

		* for Python support:

		  Python (version 2.3 or superior)
		  http://www.python.org/

		  PyGTK (version 2.4.0 or superior)
		  http://www.pygtk.org/

3. Instructions

	streamtuner uses the GNU build system. Hence, the following
	familiar sequence should satisfy most users:

		$ ./configure
		$ make
		<get root privileges, if needed>
		$ make install

	The ./configure script options are documented below. They are
	enabled by default and automatically disabled if a requirement
	is not met, so you probably do not need to use them.

4. Configure options

	--enable-shoutcast (default: yes)

		Build the SHOUTcast plugin.

	--enable-live365 (default: yes)

		Build the Live365 plugin.

	--enable-xiph (default: yes)

		Build the Xiph plugin.

		Requirements: libxml version 2.0 or superior.

	--enable-local (default: yes)

		Build the Local plugin.

	--enable-local-metadata (default: yes)

		Enable metadata support in the Local plugin.

		Requirements: TagLib version 1.2 or superior.
		Applies to: Local.

	--enable-python (default: yes)

		Build the Python plugin.

		Requirements: Python version 2.3 or superior
		              PyGTK version 2.4.0 or superior
